Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class EndpointURIEndpointBuilder

    java.lang.Object
      org.mule.endpoint.AbstractEndpointBuilder
          org.mule.endpoint.EndpointURIEndpointBuilder

All Implemented Interfaces:
  Cloneable, MuleContextAware, EndpointBuilder

Direct Known Subclasses:
  AbstractEndpointFactoryBean, AbstractMetaEndpointBuilder

    public class EndpointURIEndpointBuilder

extends AbstractEndpointBuilder

Field Summary

Fields inherited from class org.mule.endpoint.AbstractEndpointBuilder
`connector, createConnector, deleteUnacceptedMessages, disableTransportTransformer, encoding, initialState, logger, messageExchangePattern, messageProcessors, messageProcessorsFactory, mimeType, muleContext, name, properties, PROPERTY_RESPONSE_PROPERTIES, PROPERTY_RESPONSE_TIMEOUT, registryId, responseMessageProcessors, responsePropertiesList, responseTimeout, responseTransformers, retryPolicyTemplate, synchronous, transactionConfig, transformers, uriBuilder`

Constructor Summary
`` | `EndpointURIEndpointBuilder()`
`protected` | `EndpointURIEndpointBuilder(EndpointURI endpointURI)`
`` | `EndpointURIEndpointBuilder(EndpointURIEndpointBuilder global)` Called from Spring
`` | `EndpointURIEndpointBuilder(ImmutableEndpoint source)`
`` | `EndpointURIEndpointBuilder(String address, MuleContext muleContext)`
`` | `EndpointURIEndpointBuilder(URIBuilder builder)`

Method Summary

Methods inherited from class org.mule.endpoint.AbstractEndpointBuilder
`addMessageProcessor, addResponseMessageProcessor, addResponseTransformer, addResponseTransformerProcessors, addTransformer, addTransformerProcessors, buildInboundEndpoint, buildOutboundEndpoint, checkInboundExchangePattern, clone, doBuildInboundEndpoint, doBuildOutboundEndpoint, equal, equals, getConnector, getDefaultConnector, getDefaultDeleteUnacceptedMessages, getDefaultDisableTransportTransformer, getDefaultEndpointEncoding, getDefaultInitialState, getDefaultMessageProcessorsFactory, getDefaultResponseTimeout, getDefaultSecurityFilter, getDefaultTransactionConfig, getDeleteUnacceptedMessages, getEndpointBuilder, getEndpointEncoding, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getName, getProperties, getResponseMessageProcessors, getResponseTimeout, getResponseTransformersFromUri, getRetryPolicyTemplate, getScheme, getSecurityFilter, getTransactionConfig, getTransformersFromUri, hashCode, initExchangePatternFromConnectorDefault, isAlwaysCreateConnector, isDisableTransportTransformer, prepareToBuildEndpoint, setConnector, setCreateConnector, setDeleteUnacceptedMessages, setDisableTransportTransformer, setEncoding, setExchangePattern, setInitialState, setMessageProcessors, setMimeType, setMuleContext, setName, setProperties, setPropertiesFromProperties, setProperty, setRegistryId, setResponseMessageProcessors, setResponseTimeout, setResponseTransformers, setRetryPolicyTemplate, setTransactionConfig, setTransformers, setURIBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointURIEndpointBuilder

    public EndpointURIEndpointBuilder()

### EndpointURIEndpointBuilder

    public EndpointURIEndpointBuilder(EndpointURIEndpointBuilder global)
                               throws EndpointException

  Called from Spring

  Parameters:
    `global` - The global endpoint "Policy"
  Throws:
    `EndpointException`

### EndpointURIEndpointBuilder

    public EndpointURIEndpointBuilder(URIBuilder builder)

### EndpointURIEndpointBuilder

    public EndpointURIEndpointBuilder(String address,
                                      MuleContext muleContext)

### EndpointURIEndpointBuilder

    protected EndpointURIEndpointBuilder(EndpointURI endpointURI)

### EndpointURIEndpointBuilder

    public EndpointURIEndpointBuilder(ImmutableEndpoint source)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.